Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.controller.repository
Class RAMWorkloadRepository

    java.lang.Object
      com.intel.cosbench.controller.repository.RAMWorkloadRepository

All Implemented Interfaces:
  WorkloadListener, WorkloadRepository

    public class RAMWorkloadRepository

extends java.lang.Object
implements WorkloadRepository, WorkloadListener

This class represents one in-memory repository to store all workloads information.

Author:
  ywang19

Constructor Summary
`RAMWorkloadRepository()`

Method Summary
`WorkloadContext[]` | `getActiveWorkloads()`
`WorkloadContext[]` | `getAllWorkloads()`
`WorkloadContext[]` | `getInactiveWorkloads()`
`int` | `getSize()`
`WorkloadContext` | `getWorkload(java.lang.String id)`
`void` | `saveWorkload(WorkloadContext workload)`
`void` | `workloadStarted(WorkloadContext workload)`
`void` | `workloadStopped(WorkloadContext workload)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RAMWorkloadRepository

    public RAMWorkloadRepository()

Method Detail

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `WorkloadRepository`

### saveWorkload

    public void saveWorkload(WorkloadContext workload)

  Specified by:
    `saveWorkload` in interface `WorkloadRepository`

### getWorkload

    public WorkloadContext getWorkload(java.lang.String id)

  Specified by:
    `getWorkload` in interface `WorkloadRepository`

### getAllWorkloads

    public WorkloadContext[] getAllWorkloads()

  Specified by:
    `getAllWorkloads` in interface `WorkloadRepository`

### getActiveWorkloads

    public WorkloadContext[] getActiveWorkloads()

  Specified by:
    `getActiveWorkloads` in interface `WorkloadRepository`

### getInactiveWorkloads

    public WorkloadContext[] getInactiveWorkloads()

  Specified by:
    `getInactiveWorkloads` in interface `WorkloadRepository`

### workloadStarted

    public void workloadStarted(WorkloadContext workload)

  Specified by:
    `workloadStarted` in interface `WorkloadListener`

### workloadStopped

    public void workloadStopped(WorkloadContext workload)

  Specified by:
    `workloadStopped` in interface `WorkloadListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD